Subject: Re: Failing svn imports from apache.org

From: Michael J Gruber <[email-masked]>
Date: Fri, 14 Sep 2012 12:11:55 +0200

Enrico Weigelt venit, vidit, dixit 13.09.2012 15:32:
> Hi folks,
> 
> I'm currently trying to import apache.org svn server, without success.
> See:
> 
> git@moonshine:~/projects/common/libs$ git svn clone --stdlayout http://svn.apache.org/repos/asf/commons/proper/discovery/
> Initialized empty Git repository in /home/git/projects/common/libs/discovery/.git/
> W: Ignoring error from SVN, path probably does not exist: (160013): Filesystem has no item: '/repos/asf/!svn/bc/100/commons/proper/discovery' path not found
> W: Do not be alarmed at the above message git-svn is just searching aggressively for old history.
> This may take a while on large repositories
> mkdir .git: No such file or directory at /usr/lib/git-core/git-svn line 3669
> 
> Does anyone have an idea, what might be wrong here / how to fix it ?

Here: git svn --version
git-svn version 1.7.12.592.g41e7905 (svn 1.6.18)

What's yours?

I'm getting

Initialized empty Git repository in /tmp/discovery/.git/
Using higher level of URL:
http://svn.apache.org/repos/asf/commons/proper/discovery =>
http://svn.apache.org/repos/asf
W: Ignoring error from SVN, path probably does not exist: (160013):
Dateisystem hat keinen Eintrag: File not found: revision 100, path
'/commons/proper/discovery'
W: Do not be alarmed at the above message git-svn is just searching
aggressively for old history.
This may take a while on large repositories

and then it checks the revisions. I didn't want to wait for r1301705...

Does your git svn abort earlier or after checking all revs?